POST api/CovidRTWFormDownload/LinkCovidCaseSMForm
Request Information
URI Parameters
None.
Body Parameters
CovidCaseSMFormDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| SurveyId | string |
String length: inclusive between 0 and 100 |
|
| CollectorId | string |
String length: inclusive between 0 and 100 |
|
| ResponseId | string |
String length: inclusive between 0 and 200 |
|
| CorporationCode | string |
String length: inclusive between 0 and 20 |
|
| CaseNo | integer |
None. |
|
| Status | integer |
None. |
|
| ResponceDate | date |
None. |
|
| ReasonForDelete | string |
String length: inclusive between 0 and 1000 |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"SurveyId": "sample string 2",
"CollectorId": "sample string 3",
"ResponseId": "sample string 4",
"CorporationCode": "sample string 5",
"CaseNo": 1,
"Status": 1,
"ResponceDate": "2026-06-20T12:52:48.4833121-07:00",
"ReasonForDelete": "sample string 6"
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfCovidCaseSMFormDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | CovidCaseSMFormDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"SurveyId": "sample string 2",
"CollectorId": "sample string 3",
"ResponseId": "sample string 4",
"CorporationCode": "sample string 5",
"CaseNo": 1,
"Status": 1,
"ResponceDate": "2026-06-20T12:52:48.4833121-07:00",
"ReasonForDelete": "sample string 6"
},
"totalCount": 3
}